/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import Joi from './Joi';
export declare const PluginIdSchema: Joi.StringSchema<string>;
export declare const RemarkPluginsSchema: Joi.ArraySchema<any[]>;
export declare const RehypePluginsSchema: Joi.ArraySchema<any[]>;
export declare const AdmonitionsSchema: Joi.AlternativesSchema<any>;
export declare const URISchema: Joi.AlternativesSchema<any>;
export declare const PathnameSchema: Joi.StringSchema<string>;
export declare const RouteBasePathSchema: Joi.AlternativesSchema<any>;
export declare const FrontMatterTagsSchema: Joi.ArraySchema<any[]>;
export declare const FrontMatterTOCHeadingLevels: {
    toc_min_heading_level: Joi.NumberSchema<number>;
    toc_max_heading_level: Joi.NumberSchema<number>;
};
export type ContentVisibility = {
    draft: boolean;
    unlisted: boolean;
};
export declare const ContentVisibilitySchema: Joi.ObjectSchema<ContentVisibility>;
export declare const FrontMatterLastUpdateErrorMessage = "{{#label}} does not look like a valid last update object. Please use an author key with a string or a date with a string or Date.";
export declare const FrontMatterLastUpdateSchema: Joi.ObjectSchema<any>;
//# sourceMappingURL=validationSchemas.d.ts.map